Bug 19679 - Move templates JavaScript to the footer: More tools templates
Summary: Move templates JavaScript to the footer: More tools templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-22 16:18 UTC by Owen Leonard
Modified: 2017-12-14 17:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19679: Move templates JavaScript to the footer: More tools templates (31.88 KB, patch)
2017-11-22 16:30 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19679: Move templates JavaScript to the footer: More tools templates (31.94 KB, patch)
2017-11-23 15:23 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19679: Move templates JavaScript to the footer: More tools templates (31.99 KB, patch)
2017-12-06 16:54 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-22 16:18:24 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for more Tools features.
Comment 1 Owen Leonard 2017-11-22 16:30:51 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-23 15:23:45 UTC
Created attachment 69312 [details] [review]
Bug 19679: Move templates JavaScript to the footer: More tools templates

This patch modifies more staff client tools templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  Export data
  Inventory
  Notices & slips
  Upload local cover image

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-06 16:54:28 UTC
Created attachment 69567 [details] [review]
Bug 19679: Move templates JavaScript to the footer: More tools templates

This patch modifies more staff client tools templates so that
JavaScript is included in the footer instead of the header.

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

  Export data
  Inventory
  Notices & slips
  Upload local cover image

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:37:07 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:59:09 UTC
Awesome work all! Skipping for 17.11, enhancement.